aiengine: Data Structures

| aiengine Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

Data Structures
Here are the data structures with brief descriptions:

XAieDma_Shim | This typedef is the Shim DMA instance
XAieDma_ShimBd | This typedef contains all the attributes for the BD configuration
XAieDma_ShimBdAxi | This typedef contains the AXI attributes for the BD
XAieDma_ShimBdLk | This typedef contains the lock attributes for the BD
XAieDma_Tile | This typedef is the Tile DMA instance
XAieDma_TileBd | This typedef contains all the attributes for the BD configuration
XAieDma_TileBdLock | This typedef contains the lock and base address attributes of the double buffer for the BD
XAieDma_TileBdXy | This typedef contains the X/Y 2D addressing attributes for the BD
XAieGbl | The XAie driver instance data
XAieGbl_Config | This typedef contains configuration information for the device
XAieGbl_GroupEvents | This typedef contains the mask attributes for Group Events
XAieGbl_HwCfg | This typedef contains the HW configuration data for the AIE array
XAieGbl_RegCoreCtrl | This typedef contains the attributes for the Core control register
XAieGbl_RegCorePCEvent | This typedef contains the attributes for Core PC events
XAieGbl_RegCoreSts | This typedef contains the attributes for the Core status register
XAieGbl_RegEventBroadcast | This typedef contains the attributes for Event broadcast registers
XAieGbl_RegEventBroadcastClear | This typedef contains the attributes for Event broadcast clear registers
XAieGbl_RegEventBroadcastSet | This typedef contains the attributes for Event broadcast set registers
XAieGbl_RegEventBroadcastValue | This typedef contains the attributes for Event broadcast value registers
XAieGbl_RegEventGenerate | This typedef contains the attributes for Event generate registers
XAieGbl_RegFldAttr | This typedef contains the attributes for the register bit fields
XAieGbl_RegLocks | This typedef contains the attributes for the Release/Acquire register bit fields
XAieGbl_RegPerfCounter | This typedef contains the attributes for Performance Counter
XAieGbl_RegPerfCounterEvent | This typedef contains the attributes for Performance Counter Event
XAieGbl_RegPerfCtrlReset | This typedef contains the attributes for Performance Counter reset registers
XAieGbl_RegPerfCtrls | This typedef contains the attributes for all Performance Counter ctrl registers
XAieGbl_RegPlDwsz | This typedef contains the attributes for the PL downsizer config register
XAieGbl_RegPlDwszBypass | This typedef contains the attributes for the PL downsizer enable register
XAieGbl_RegPlDwszEn | This typedef contains the attributes for the PL downsizer enable register
XAieGbl_RegPlUpsz | This typedef contains the attributes for the PL upsizer config register
XAieGbl_RegShimBdAxi | This typedef contains the attributes for Shim DMA BD AXI word register
XAieGbl_RegShimBdCtrl | This typedef contains the attributes for Shim DMA BD Control word register
XAieGbl_RegShimBdPkt | This typedef contains the attributes for Shim DMA BD packet word register
XAieGbl_RegShimColumnReset | This typedef contains the attributes for Shim colum reset register
XAieGbl_RegShimDemCfg | This typedef contains the attributes for Shim stream Demux config registers
XAieGbl_RegShimDmaBd | This typedef contains the attributes for Shim DMA BD data structure
XAieGbl_RegShimDmaCh | This typedef contains the attributes for Shim DMA channel registers
XAieGbl_RegShimDmaSts | This typedef contains the attributes for Shim DMA status registers
XAieGbl_RegShimMuxCfg | This typedef contains the attributes for Shim stream Mux config registers
XAieGbl_RegShimReset | This typedef contains the attributes for Shim reset register
XAieGbl_RegStrmEvtPort | This typedef contains the attributes for stream switch event port select registers
XAieGbl_RegStrmMstr | This typedef contains the attributes for Stream switch master port config register
XAieGbl_RegStrmSlot | This typedef contains the attributes for Stream switch slave slot config register
XAieGbl_RegStrmSlv | This typedef contains the attributes for Stream switch slave port config register
XAieGbl_RegStrmSwEventPortSelect | This typedef contains the attributes for Stream Switch Event Port Selection register
XAieGbl_RegTileBd2D | This typedef contains the attributes for Tile DMA BD 2D word register
XAieGbl_RegTileBdAdd | This typedef contains the attributes for Tile DMA BD address word register
XAieGbl_RegTileBdCtrl | This typedef contains the attributes for Tile DMA BD Control word register
XAieGbl_RegTileBdInt | This typedef contains the attributes for Tile DMA BD Interleave word register
XAieGbl_RegTileBdPkt | This typedef contains the attributes for Tile DMA BD Packet word register
XAieGbl_RegTileDmaBd | This typedef contains the attributes for Tile DMA BD data structure
XAieGbl_RegTileDmaCh | This typedef contains the attributes for Tile DMA Channel registers
XAieGbl_RegTimer | This typedef contains the attributes for Timer control and value regs
XAieGbl_RegTraceCtrls | This typedef contains the attributes for Trace ctrl registers
XAieGbl_RegTraceEvent | This typedef contains the attributes for Trace event registers
XAieGbl_Tile | This typedef contains configuration information of the tiles
XAieSim_StackSz | This typedef contains all the stack range addresses derived from the map file
XSockCli | This typedef contains the socket attributes which make the Client socket instance
XSockStr | This typedef contains pointer to the client socket instance for the same to be used in the memory IO functions